Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
hosting
/
order
[Web Hosting] Order a web hosting
curl --request POST \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/order \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "domain_source": "register",
  "domain_name": "<string>",
  "domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "epp_code": "<string>",
  "billing_cycle": "monthly"
}
'
{
  "order_id": 123,
  "order_number": "<string>",
  "invoice_id": 123,
  "local_order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "total": 123,
  "amount_due": 123,
  "credit_applied": 123,
  "status": "<string>",
  "invoice_payment_url": "<string>",
  "hosting_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "hosting_status": "<string>",
  "domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "domain_name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

organization_id
string
required

Organization UUID

project_id
string
required

Project UUID

Body

application/json
plan_id
string<uuid>
required
domain_source
enum<string>
required
  • register - Register new domain
  • transfer - Transfer existing domain
  • existing - Use existing domain in system
  • external - Use external domain
Available options:
register,
transfer,
existing,
external
domain_name
string
Maximum string length: 253
domain_id
string<uuid> | null
epp_code
string
billing_cycle
enum<string>
default:monthly
  • free - Free
  • one_time - One Time
  • monthly - Monthly
  • quarterly - Quarterly
  • semi_annually - Semi-Annually
  • annually - Annually
  • biennially - Biennially
  • triennially - Triennially
Available options:
free,
one_time,
monthly,
quarterly,
semi_annually,
annually,
biennially,
triennially

Response

Hosting order created successfully

order_id
integer | null
required
order_number
string | null
required
invoice_id
integer | null
required
local_order_id
string<uuid> | null
required
total
number<double>
required
amount_due
number<double>
required
credit_applied
number<double>
required
status
string
required
invoice_payment_url
string | null
required
hosting_id
string<uuid>
required
hosting_status
string
required
domain_id
string<uuid> | null
required
domain_name
string
required